scala.tools.cmd.gen.AnyVals

# B

###
Related Doc: package AnyVals

#### object B extends AnyValNum

Source
  AnyVals.scala

Linear Supertypes
AnyVals.AnyValNum, AnyVals.AnyValRep, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. B
2. AnyValNum
3. AnyValRep
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### case class Op(op: String, doc: String) extends Product with Serializable

   Definition Classes
     AnyValNum

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

5. #### def assemble(decl: String, lines: List[String]): String

   Definition Classes
     AnyValRep

6. #### def bitwiseOps: collection.immutable.List[Op]

   Definition Classes
     AnyValNum

7. #### def boxUnboxImpls: Map[String, String]

   Definition Classes
     AnyValRep

8. #### def boxedName: String

   Definition Classes
     AnyValRep

9. #### def boxedSimpleName: String

   Definition Classes
     AnyValRep

10. #### def classDoc: String

    Definition Classes
      AnyValRep

11. #### def classLines: collection.immutable.List[String]

    Definition Classes
      AnyValNum → AnyValRep

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

13. #### def clumps: List[List[String]]

    Definition Classes
      AnyValNum

14. #### def coercionComment: String

    Definition Classes
      AnyValNum

15. #### def commonClassLines: collection.immutable.List[String]

    Definition Classes
      AnyValRep

16. #### def comparisonOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

17. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

20. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

21. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

22. #### def implicitCoercions: List[String]

    Definition Classes
      AnyValNum

23. #### def indent(s: String): String

    Definition Classes
      AnyValRep

24. #### def indentN(s: String): String

    Definition Classes
      AnyValRep

25. #### def interpolate(s: String): String

    Definition Classes
      AnyValRep

26. #### def interpolations: Map[String, String]

    Definition Classes
      AnyValRep

27. #### def isCardinal: Boolean

    Definition Classes
      AnyValNum

28. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

29. #### val javaEquiv: String

    Definition Classes
      AnyValRep

30. #### def lcname: String

    Definition Classes
      AnyValRep

31. #### def make(): String

    Definition Classes
      AnyValRep

32. #### def mkBinOpsGroup(ops: List[Op], args: List[AnyVals.AnyValNum], resultFn: (AnyVals.AnyValNum) ⇒ AnyVals.AnyValRep): List[String]

    Makes a set of binary operations based on the given set of ops, args, and resultFn.

    Makes a set of binary operations based on the given set of ops, args, and resultFn.

    ops

      list of function names e.g. List(">>", "%")

    args

      list of types which should appear as arguments

    resultFn

      function which calculates return type based on arg type

    returns

      list of function definitions

    Definition Classes
      AnyValNum

33. #### def mkClass: String

    Definition Classes
      AnyValRep

34. #### def mkCoercions: collection.immutable.List[String]

    Definition Classes
      AnyValNum

35. #### def mkImports: String

    Definition Classes
      AnyValRep

36. #### def mkObject: String

    Definition Classes
      AnyValRep

37. #### def mkShiftOps: collection.immutable.List[String]

    Definition Classes
      AnyValNum

38. #### def mkStringOps: collection.immutable.List[String]

    Definition Classes
      AnyValNum

39. #### def mkUnaryOps: collection.immutable.List[String]

    Definition Classes
      AnyValNum

40. #### val name: String

    Definition Classes
      AnyValRep

41. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

42. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

43. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

44. #### def objectDoc: String

    Definition Classes
      AnyValRep

45. #### def objectLines: List[String]

    Definition Classes
      AnyValNum → AnyValRep

46. #### def opType(that: AnyVals.AnyValNum): AnyVals.AnyValNum

    Definition Classes
      AnyValNum

47. #### def otherOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

48. #### val repr: Option[String]

    Definition Classes
      AnyValRep

49. #### def representation: String

    Definition Classes
      AnyValRep

50. #### def shiftOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

51. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

52. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyValRep → AnyRef → Any

53. #### def unaryOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

54. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

57. #### def zeroRep: String

    Definition Classes
      AnyValRep

### Inherited from AnyVals.AnyValNum

### Inherited from AnyVals.AnyValRep

### Inherited from AnyRef

### Inherited from Any

### Ungrouped